

function openLink(url) {
  window.open(url, '_blank');
}

$(document).ready(function () {
  // Certifique-se de que as variáveis PHP estejam definidas antes de chamar openModal
  if (typeof status !== 'undefined' && typeof mensagem !== 'undefined') {
    console.log("Valor de status antes de chamar openModal:", status);
    openModal(status, mensagem);
  }

  function openModal(status, mensagem) {
    console.log('Status:', status);

    if (typeof status !== 'undefined' && status !== null) {
        if (status === 1) {
            $('#customModal .modal-body').html(mensagem);
            $('#customModal').modal('show');
        } else if (status === 0) {
            $('#customModal .modal-body').html(mensagem);
            $('#customModal').modal({
                backdrop: 'static',
                keyboard: false
            });
        } else {
            console.log('Status inválido. Não abrindo o modal.');
        }
    } else {
        console.log('Status não definido. Não abrindo o modal.');
    }
}
});
